Name:    task-e17
Version: 2009.0
Release: %mkrel 1
Summary: Metapackage for the E17
Group:   Graphical desktop/Enlightenment
License: GPL
URL:	 http://wiki.mandriva.com/en/Development/Ideas/E17
Source : %name.tar.bz2

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root

Provides: E17

# prefered apps
suggests: thunar
suggests: exaile
suggests: file-roller
Requires: mozilla-firefox
Requires: evince
Requires: lftp
Requires: brasero
Requires: itask
suggests: gimp
Requires: screen
#Requires: xchat
Requires: xterm
#Requires: pidgin
Requires: aumix
Requires: gtk-chtheme
#Requires: terminal
#Requires: Eterm
Requires: mrxvt

# E17 apps
Requires: e
Requires: eet
#Requires: e_utils
#Requires: enity
Requires: edje
Requires: imlib2
Requires: emotion
Requires: epsilon
Requires: etk
Requires: efreet
Requires: ewl
Requires: epeg
Requires: ecore
Requires: edb
Requires: eet
Requires: embryo
#Requires: ephoto
#Requires: exhibit
#Requires: engrave
Requires: entrance
#Requires: estickies
#Requires: empower
#Requires: edje_viewer
Requires: e_modules
Requires: esmart
#Requires: e_dbus
#Requires: evfs
#Requires: expedite
#Requires: extrackt
#Requires: emphasis
#Requires: eclair

%description
This package is a meta-package, meaning that its purpose is to contain
all E17 application and librairies.

%prep
%setup -q -n %name

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/%{_prefix}/share/%name/doc/
cp README ${RPM_BUILD_ROOT}/%{_prefix}/share/%name/doc/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/share/%name/doc/README


%changelog
* Mon Sep 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2009.0-1mdv2009.0
+ Revision: 282557
- bump version

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 2008.1-6mdv2009.0
+ Revision: 261378
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 2008.1-5mdv2009.0
+ Revision: 254148
- rebuild

* Wed Mar 05 2008 Antoine Ginies <aginies@mandriva.com> 2008.1-3mdv2008.1
+ Revision: 179355
- add itask requires

* Tue Feb 19 2008 Antoine Ginies <aginies@mandriva.com> 2008.1-2mdv2008.1
+ Revision: 173134
- remove evas requires, use mrxvt terminal

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 2008.1-1mdv2008.1
+ Revision: 168799
- do some adjustement in requires and suggests

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 03 2007 Antoine Ginies <aginies@mandriva.com> 2008-6mdv2008.0
+ Revision: 78507
- remove unstable E apps

* Thu May 31 2007 Antoine Ginies <aginies@mandriva.com> 2008-4mdv2008.0
+ Revision: 33240
- fix mozilla-firefox requires

* Thu May 31 2007 Antoine Ginies <aginies@mandriva.com> 2008-3mdv2008.0
+ Revision: 33181
- increase mkrel
- add expedite, emphasis, extrackt, terminal and gtk-chtheme requires

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 2008-2mdv2008.0
+ Revision: 32584
- remmove enhance requires

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 2008-1mdv2008.0
+ Revision: 32416
- fix spec file
- add some requires
- first release
- Import task-e17

